<app-navbar></app-navbar>


<div class="w3l-login-form">
    <h2>Verificación</h2>
    <p class="mensajeGuardadoCliente">{{mensajeCuardadoCliente}}</p>
    <form #formCostumer="ngForm" (ngSubmit)="onSubmit(!formCostumer.form.valid)" id="form-costumer">

        <div class="containerFormulario">

            <div class="w3l-form-group col-lg-6 col-sm-12">
                <label for="type_Document">
                    Tipo Documento:
                    <span *ngIf="!type_Document.valid && type_Document.touched" class="badge bg-danger">El Tipo de
                        Documento es obligatorio</span>
                </label>
                <div class="group">
                    <i class="fas fa-id-card"></i>
                    <input list="type_document" required="required" #type_Document="ngModel" name="type_Document"
                        [(ngModel)]="customerInfo.documentType" />
                    <datalist id="type_document">
                        <option value="CC">
                        <option value="TI">
                        <option value="TE">
                        <option value="CE">
                    </datalist>
                </div>
            </div>

            <div class="w3l-form-group col-lg-6 col-sm-12">
                <label for="documentIssueDate">
                    Fecha Expedicion:
                    <span *ngIf="documentIssueDate.touched && !documentIssueDate.valid" class="badge bg-danger">La fecha
                        de Expedicion es obligatorio, el formato es (YYYY-MM-DD)</span>
                </label>
                <div class="group">
                    <i class="fas fa-calendar"></i>
                        <input type="text" name="documentIssueDate" #documentIssueDate="ngModel" [(ngModel)]="documentIssueDateString"
                        pattern="(?:19|20)(?:[0-9]{2}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1[0-9]|2[0-8])|(?:(?!02)(?:0[1-9]|1[0-2])-(?:29|30))|(?:(?:0[13578]|1[02])-31))|(?:[13579][26]|[02468][048])-02-29)"
                        placeholder="YYYY-MM-DD" required />
                </div>
            </div>

            <div class="w3l-form-group col-12">
                <label for="type_Document">
                    Numero Documento:
                    <span *ngIf="!document.valid && document.touched" class="badge bg-danger">
                        El Numero Documento es obligatorio, numerico y maximo 10 digitos</span>
                </label>
                <div class="group">
                    <i class="fas fa-id-card"></i>
                    <input type="text" class="form-control" placeholder="Numero Documento" #document="ngModel"
                        name="document" [(ngModel)]="customerInfo.document" minlength="1" maxlength="10" size="10"
                        pattern="[0-9]+" required /> 
 
                </div>
            </div>

            <div class="w3l-form-group col-lg-6 col-sm-12">
                <label for="name">
                    Nombre:
                    <span *ngIf="!name.valid && name.touched" class="badge bg-danger">
                        El Nombre es obligatorio, alfabetico, 12 caracteres máximo</span>
                </label>
                <div class="group">
                    <i class="fas fa-user"></i>
                    <input type="text" class="form-control" placeholder="Nombre" #name="ngModel" name="name"
                        [(ngModel)]="customerInfo.name" minlength="1" maxlength="12" size="12"  required/>
                </div>
            </div>

            <div class="w3l-form-group col-lg-6 col-sm-12">
                <label for="lastName">
                    Apellido:
                    <span *ngIf="!lastName.valid && lastName.touched" class="badge bg-danger">
                        El Apellido es obligatorio, alfabetico, 12 caracteres máximo</span>
                </label>
                <div class="group">
                    <i class="fas fa-user"></i>
                    <input type="text" class="form-control" placeholder="Apellido" #lastName="ngModel" name="lastName"
                        [(ngModel)]="customerInfo.lastName" minlength="1" maxlength="12" size="12" required/>
                </div>
            </div>

            <div class="w3l-form-group col-lg-6 col-sm-12">
                <label for="birthDate">
                    Fecha Nacimiento:
                    <span *ngIf="!birthDate.valid && birthDate.touched" class="badge bg-danger">
                        La fecha de nacimiento es obligatorio, el formato es (YYYY-MM-DD)</span>
                </label>
                <div class="group">
                    <i class="fas fa-calendar"></i>
                    <input type="text" name="birthDate" #birthDate="ngModel" [(ngModel)]="birthDateString"
                    pattern="(?:19|20)(?:[0-9]{2}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1[0-9]|2[0-8])|(?:(?!02)(?:0[1-9]|1[0-2])-(?:29|30))|(?:(?:0[13578]|1[02])-31))|(?:[13579][26]|[02468][048])-02-29)"
                    placeholder="YYYY-MM-DD" class="form-control" required />
 
                </div>
            </div>

            <div class=" w3l-form-group col-lg-6 col-sm-12">
                <label for="cellphone">
                    Celular:
                    <span *ngIf="!cellphone.valid && cellphone.touched" class="badge bg-danger">
                        El Celular es obligatorio</span>
                </label> 
                <div class="group">
                    <i class="fas fa-phone"></i>
                    <input type="text" class="form-control" placeholder="+##(###)-###-####" #cellphone="ngModel"
                        name="cellphone" [(ngModel)]="customerInfo.cellphone" 
                        pattern="^(\+\d{1,2})?\(?\d{3}\)?[\s.-]\d{3}[\s.-]\d{4}$" required/>
                </div>

            </div>

            <div class=" w3l-form-group col-12">
                <label for="email">
                    Correo:
                    <span *ngIf="!email.valid && email.touched" class="badge bg-danger">El Correo es obligatorio</span>
                </label>
                <div class="group">
                    <i class="fas fa-envelope"></i>
                    <input type="email" class="form-control" placeholder="Correo"
                        pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" #email="ngModel" name="email"
                        [(ngModel)]="customerInfo.email" required="required">
                </div>
            </div>
            
            <input class="btn btn-danger" type="submit"  value="Registrar"/>    
           
        </div>
    </form>


    <div *ngIf="verModal" id="modalVerificacion" class="modal">
        <!-- Modal content -->
        <div class="modal-content">
            <div class="modal-header">            
                <div class="colpatriaHeader">
                    <img src="../assets/images/Scotiabank-Colpatria.png">
                </div>
            </div>
            <div class="modal-body">
                <div class="divCliente">
                    <div *ngIf="!verModalValidacion;else other_content">
                        <div *ngIf="blackListResponse.data.blackListed==false">
                            El cliente no es Blacklist.
                            <span>Documento: {{blackListResponse.data.document}}</span>
                        </div>
                        <div *ngIf="blackListResponse.data.blackListed">
                            El cliente con documento: {{blackListResponse.data.document}} , esta registrado en el Blacklist.
                        </div>
                      
                    </div>                         
                    <ng-template #other_content>
                        Por favor verificar los datos, recuerde que todos son obligatorios.
                    </ng-template>                                        
                </div>
            </div>
            <div class="modal-footer">
                <div *ngIf="blackListResponse.data.blackListed==false && !verModalValidacion">
                    <b >¿Desea guardar el cliente?</b>
                    <button type="button" class="btn btn-outline-danger"
                        (click)="registrarCliente(customerInfo)">Guardar</button> 
                </div>               
                <button type="button" class="btn btn-outline-secondary"
                (click)="cerrarModal(blackListResponse.data.blackListed)">Salir</button>                
            </div>
        </div>
    </div>
</div>
<footer>
    <p class="copyright-agileinfo"> &copy; 2021 Bootcamp Form. All Rights Reserved | Design by Squad 4 </p>
</footer>